Bug 863064 - [abrt] liveusb-creator-3.11.7-1.fc17: gui.py:372:on_driveBox_currentIndexChanged:UnicodeEncodeError: 'ascii' codec can't encode character u'\xfd' in position 14: ordinal not in range(128)
Summary: [abrt] liveusb-creator-3.11.7-1.fc17: gui.py:372:on_driveBox_currentIndexChan...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: liveusb-creator
Version: 17
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Luke Macken
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: abrt_hash:e8632e5953ccdf4860031e3bc61...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2012-10-04 11:14 UTC by Kamil Páral
Modified: 2016-09-20 02:43 UTC (History)
3 users (show)

Fixed In Version: liveusb-creator-3.12.0-1.fc19
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2013-11-10 07:11:00 UTC


Attachments (Terms of Use)
File: core_backtrace (128 bytes, text/plain)
2012-10-04 11:14 UTC, Kamil Páral
no flags Details

Description Kamil Páral 2012-10-04 11:14:32 UTC
Description of problem:
The filesystem on the USB disk contained non-ascii characters.

Version-Release number of selected component:
liveusb-creator-3.11.7-1.fc17

Additional info:
libreport version: 2.0.14
abrt_version:   2.0.13
cmdline:        /usr/bin/python -tt /sbin/liveusb-creator --reset-mbr
kernel:         3.5.4-2.fc17.x86_64

backtrace:
:gui.py:372:on_driveBox_currentIndexChanged:UnicodeEncodeError: 'ascii' codec can't encode character u'\xfd' in position 14: ordinal not in range(128)
:
:Traceback (most recent call last):
:  File "/usr/lib/python2.7/site-packages/liveusb/gui.py", line 372, in on_driveBox_currentIndexChanged
:    if not str(drive):
:UnicodeEncodeError: 'ascii' codec can't encode character u'\xfd' in position 14: ordinal not in range(128)
:
:Local variables in innermost frame:
:self: <liveusb.gui.LiveUSBDialog object at 0x119c5f0>
:drive: PyQt4.QtCore.QString(u'/dev/sdb1 (Nov\xfd_svaze)')

Comment 1 Kamil Páral 2012-10-04 11:14:38 UTC
Created attachment 621569 [details]
File: core_backtrace

Comment 3 Fedora Update System 2013-04-22 21:10:59 UTC
liveusb-creator-3.11.8-1.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/liveusb-creator-3.11.8-1.fc18

Comment 4 Fedora Update System 2013-04-22 21:11:38 UTC
liveusb-creator-3.11.8-1.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/liveusb-creator-3.11.8-1.fc19

Comment 5 Fedora Update System 2013-04-23 02:59:36 UTC
Package liveusb-creator-3.11.8-1.fc19:
* should fix your issue,
* was pushed to the Fedora 19 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing liveusb-creator-3.11.8-1.fc19'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2013-6337/liveusb-creator-3.11.8-1.fc19
then log in and leave karma (feedback).

Comment 6 Fedora Update System 2013-04-26 15:04:19 UTC
liveusb-creator-3.11.8-2.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/liveusb-creator-3.11.8-2.fc19

Comment 7 Fedora Update System 2013-05-01 04:28:15 UTC
liveusb-creator-3.11.8-2.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 8 Fedora Update System 2013-05-02 03:54:53 UTC
liveusb-creator-3.11.8-1.fc18 has been pushed to the Fedora 18 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 9 Fedora Update System 2013-10-17 22:58:41 UTC
liveusb-creator-3.12.0-1.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/liveusb-creator-3.12.0-1.fc19

Comment 10 Fedora Update System 2013-10-17 22:59:38 UTC
liveusb-creator-3.12.0-1.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/liveusb-creator-3.12.0-1.fc18

Comment 11 Fedora Update System 2013-10-17 23:00:30 UTC
liveusb-creator-3.12.0-1.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/liveusb-creator-3.12.0-1.fc20

Comment 12 Fedora Update System 2013-10-19 00:10:04 UTC
Package liveusb-creator-3.12.0-1.fc20:
* should fix your issue,
* was pushed to the Fedora 20 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing liveusb-creator-3.12.0-1.fc20'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2013-19384/liveusb-creator-3.12.0-1.fc20
then log in and leave karma (feedback).

Comment 13 Fedora Update System 2013-11-10 07:11:00 UTC
liveusb-creator-3.12.0-1.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 14 Fedora Update System 2013-12-12 02:56:20 UTC
liveusb-creator-3.12.0-1.fc18 has been pushed to the Fedora 18 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 15 Fedora Update System 2013-12-12 02:57:35 UTC
liveusb-creator-3.12.0-1.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.